Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class SOSHandler

    java.lang.Object
      org.deegree.enterprise.servlet.AbstractOWServiceHandler
          org.deegree.enterprise.servlet.SOSHandler

All Implemented Interfaces:
  ServiceDispatcher

     class SOSHandler

extends AbstractOWServiceHandler

Web servlet client for WFS.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Matthias Kulbe, last edited by: $Author: mschneider $

Constructor Summary
`SOSHandler()`

Method Summary
`SOService` | `getService()`
`void` | `perform(OGCWebServiceRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.deegree.enterprise.servlet.AbstractOWServiceHandler
`sendException, sendException, sendExceptionReport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOSHandler

    SOSHandler()

Method Detail

### perform

    public void perform(OGCWebServiceRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws ServiceException,
                        OGCWebServiceException

  Parameters:
    `request` -
    `response` -
  Throws:
    `ServiceException`
    `OGCWebServiceException`
  See Also:
    "org.deegree.enterprise.servlet.ServiceDispatcher#perform(org.deegree.services.AbstractOGCWebServiceRequest,javax.servlet.http.HttpServletResponse)"

### getService

    public SOService getService()
                         throws ServiceException

  Returns:
    Service
  Throws:
    `ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org